M2.2.x: Script error for wysiwygAdapter

Created by Esther Nguyen, Modified on Tue, 12 Oct 2021 at 03:35 PM by Esther Nguyen

ISSUE:

We are facing one issue:

- Creating a pop-up

- Content and Design tab

- Load template button - nothing happens, no templates load

- Script error for wysiwygAdapter:


SOLUTION:

On M2.2.11, the tinyMCE doesn't need to use wysiwygAdapter while the module is declaring wysiwygAdapter, which leads to an unexpected error and makes the button's click action not be run. 


To resolve the issue, please remove "wysiwygAdapter" declaration in line 20 in the file app/code/Bss/Popup/view/adminhtml/web/js/type_template.js:


However, please note that, from Magento 2.3.x, the tinyMCE will use and declare wysiwygAdapter, so it is necessary to add "wysiwygAdapter" again into the file app/code/Bss/Popup/view/adminhtml/web/js/type_template.js


If you need any further assistance, please feel free to contact us. We'd be happy to support you!


Was this article helpful?

That’s Great!

Thank you for your feedback

Sorry! We couldn't be helpful

Thank you for your feedback

Let us how can we improve this article!

Select atleast one of the reasons

Feedback sent

We apprciate your effort and will try to fix the article